MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023257Community[OCCT] OCCT:Shape Healingpublic2012-07-11 14:022012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023257: Missing return statement
DescriptionMissing return statement in IsPeriodicConicalLoop in ShapeFix_Face.cxx line 2289.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020903)
Pawel (developer)
2012-07-11 14:19
edited on: 2012-07-11 14:19

Corresponding git branch pushed. Please review.

(0020905)
abv (manager)
2012-07-11 14:30

Reviewed with no remarks, please test
(0020923)
mkv (tester)
2012-07-12 12:02

Dear BugMaster,
The workbenches
KAS:dev:mkv-23257-occt (GIT branch CR23257)
KAS:dev:mkv-23257-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23257-products_11072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120622-opt_22062012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master fdbc4fe7
Timestamp: 2012-07-11 10:12:29
Author: Pawel
Details ] Diff ]
0023257: Missing return statement

Added missing return statement
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-11 14:02 Pawel New Issue
2012-07-11 14:02 Pawel Assigned To => Pawel
2012-07-11 14:19 Pawel Note Added: 0020903
2012-07-11 14:19 Pawel Assigned To Pawel => bugmaster
2012-07-11 14:19 Pawel Status new => resolved
2012-07-11 14:19 Pawel Note Edited: 0020903 View Revisions
2012-07-11 14:30 abv Note Added: 0020905
2012-07-11 14:30 abv Status resolved => reviewed
2012-07-11 15:42 mkv Assigned To bugmaster => mkv
2012-07-12 12:02 mkv Note Added: 0020923
2012-07-12 12:02 mkv Test case number => Not needed
2012-07-12 12:02 mkv Assigned To mkv => bugmaster
2012-07-12 12:02 mkv Status reviewed => tested
2012-07-17 17:50 Pawel Changeset attached => occt master fdbc4fe7
2012-07-17 17:51 Pawel Assigned To bugmaster => Pawel
2012-07-17 17:51 Pawel Status tested => verified
2012-07-17 17:51 Pawel Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker